Chore: update release doc and add scripts for release (#98)

* update release doc
* add scripts for releasing
* add header license
diff --git a/docs/How-to-release.md b/docs/How-to-release.md
index 06645ce..127e42a 100644
--- a/docs/How-to-release.md
+++ b/docs/How-to-release.md
@@ -138,7 +138,7 @@
 
 Thanks.
 
-[1] https://github.com/apache/skywalking/blob/master/docs/en/guides/How-to-release.md#vote-check
+[1] https://github.com/apache/skywalking-cli/blob/master/docs/How-to-release.md#vote-check
 ```
 
 ## Vote Check
@@ -221,6 +221,9 @@
     
     The Apache SkyWalking Team
     ```
+   
+1. Add a release on [the report system](https://reporter.apache.org/addrelease.html?skywalking) (**you can do this only if you are a PMC member**).   
+
 
 ## Remove Unnecessary Releases
 
diff --git a/scripts/pre-release.sh b/scripts/pre-release.sh
new file mode 100755
index 0000000..7fee61f
--- /dev/null
+++ b/scripts/pre-release.sh
@@ -0,0 +1,102 @@
+#!/usr/bin/env sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Prerequisites
+# 1. update change log
+# 2. clear milestone issues, and create a new one if needed
+# 3. export VERSION=<the version to release>
+
+set -ex
+
+[ -z "$VERSION" ] && echo "VERSION is not set" && exit 1
+
+if ls skywalking-cli > /dev/null 2>&1; then
+  rm -rf skywalking-cli
+fi
+
+git clone --recurse-submodules git@github.com:apache/skywalking-cli && cd skywalking-cli
+git tag -a "$VERSION" -m "Release Apache SkyWalking-CLI $VERSION"
+git push --tags
+
+make clean && make release
+
+cd ..
+
+if ls skywalking > /dev/null 2>&1; then
+  rm -rf skywalking
+fi
+
+svn co https://dist.apache.org/repos/dist/dev/skywalking/
+mkdir -p skywalking/cli/"$VERSION"
+cp skywalking-cli/skywalking*.tgz skywalking/cli/"$VERSION"
+cp skywalking-cli/skywalking*.tgz.asc skywalking/cli/"$VERSION"
+cp skywalking-cli/skywalking-cli*.tgz.sha512 skywalking/cli/"$VERSION"
+
+cd skywalking/cli && svn add "$VERSION" && svn commit -m "Draft Apache SkyWalking-CLI release $VERSION"
+cd ../..
+
+cd skywalking-cli
+
+cat << EOF
+=========================================================================
+Subject: [VOTE] Release Apache SkyWalking CLI version $VERSION
+
+Content:
+
+Hi The SkyWalking Community:
+
+This is a call for vote to release Apache SkyWalking CLI version $VERSION.
+
+Release notes:
+
+ * https://github.com/apache/skywalking-cli/blob/$VERSION/CHANGES.md
+
+Release Candidate:
+
+ * https://dist.apache.org/repos/dist/dev/skywalking/cli/$VERSION/
+
+ * sha512 checksums
+   - $(cat skywalking-cli*bin*tgz.sha512) skywalking-cli-$VERSION-bin.tgz
+   - $(cat skywalking-cli*src*tgz.sha512) skywalking-cli-$VERSION-src.tgz
+
+Release Tag :
+
+ * (Git Tag) $VERSION
+
+Release CommitID :
+
+ * https://github.com/apache/skywalking-cli/tree/$(git rev-list -n 1 "$VERSION")
+
+Keys to verify the Release Candidate :
+
+ * https://dist.apache.org/repos/dist/release/skywalking/KEYS
+
+Guide to build the release from source :
+
+ * https://github.com/apache/skywalking-cli/blob/$VERSION/README.md#install
+
+Voting will start now and will remain open for at least 72 hours, all PMC members are required to give their votes.
+
+[ ] +1 Release this package.
+[ ] +0 No opinion.
+[ ] -1 Do not release this package because....
+
+Thanks.
+
+[1] https://github.com/apache/skywalking-cli/blob/master/docs/How-to-release.md#vote-check
+
+EOF
diff --git a/scripts/release.sh b/scripts/release.sh
new file mode 100755
index 0000000..8298510
--- /dev/null
+++ b/scripts/release.sh
@@ -0,0 +1,57 @@
+#!/usr/bin/env sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Prerequisites
+# 1. vote passed
+# 2. update GitHub release and the website
+
+set -ex
+
+[ -z "$VERSION" ] && echo "VERSION is not set" && exit 1
+
+ if ls skywalking > /dev/null 2>&1; then
+   rm -rf skywalking
+ fi
+
+ svn mv https://dist.apache.org/repos/dist/dev/skywalking/cli/"$VERSION" https://dist.apache.org/repos/dist/release/skywalking/cli/"$VERSION" -m"Release Apache SkyWalking-CLI $VERSION" || true
+
+ echo "Make sure you have released the GitHub release, updated the events, download links and menus?" && read -r
+
+cat << EOF
+=========================================================================
+Hi the SkyWalking Community
+
+On behalf of the SkyWalking CLI Team, I’m glad to announce that SkyWalking CLI $VERSION is now released.
+
+SkyWalking CLI: A command line interface for SkyWalking.
+
+SkyWalking: APM (application performance monitor) tool for distributed systems, especially designed for microservices, cloud native and container-based (Docker, Kubernetes, Mesos) architectures.
+
+Download Links: http://skywalking.apache.org/downloads/
+
+Release Notes : https://github.com/apache/skywalking-cli/blob/$VERSION/CHANGES.md
+
+Website: http://skywalking.apache.org/
+
+SkyWalking CLI Resources:
+- Issue: https://github.com/apache/skywalking/issues
+- Mailing list: dev@skywalkiing.apache.org
+- Documents: https://github.com/apache/skywalking-cli/blob/$VERSION/README.md
+
+The Apache SkyWalking Team
+
+EOF